Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms
Class FormsConstants

    java.lang.Object
      org.apache.cocoon.forms.FormsConstants

Direct Known Subclasses:
  Constants

public class FormsConstants
extends Object

Various constants used in the Cocoon Forms framework.

Version:
  $Id: FormsConstants.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary
`static String` | `DEFINITION_NS` Namespace for Definition elements
`static String` | `DEFINITION_PREFIX`
`static String` | `DEFINITION_PREFIX_COLON`
`static String` | `I18N_CATALOGUE` I18n catalogue containing the built-in messages.
`static String` | `I18N_NS`
`static String` | `I18N_PREFIX`
`static String` | `I18N_PREFIX_COLON`
`static String` | `INSTANCE_NS` Namespace for Instance elements
`static String` | `INSTANCE_PREFIX`
`static String` | `INSTANCE_PREFIX_COLON`
`static String` | `TEMPLATE_NS` Namespace for Template elements
`static String` | `TEMPLATE_PREFIX`
`static String` | `TEMPLATE_PREFIX_COLON`

Constructor Summary
`FormsConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEMPLATE_NS

    public static final String TEMPLATE_NS

  Namespace for Template elements

  See Also:
    Constant Field Values

### TEMPLATE_PREFIX

    public static final String TEMPLATE_PREFIX

See Also:
  Constant Field Values

### TEMPLATE_PREFIX_COLON

    public static final String TEMPLATE_PREFIX_COLON

See Also:
  Constant Field Values

### INSTANCE_NS

    public static final String INSTANCE_NS

  Namespace for Instance elements

  See Also:
    Constant Field Values

### INSTANCE_PREFIX

    public static final String INSTANCE_PREFIX

See Also:
  Constant Field Values

### INSTANCE_PREFIX_COLON

    public static final String INSTANCE_PREFIX_COLON

See Also:
  Constant Field Values

### DEFINITION_NS

    public static final String DEFINITION_NS

  Namespace for Definition elements

  See Also:
    Constant Field Values

### DEFINITION_PREFIX

    public static final String DEFINITION_PREFIX

See Also:
  Constant Field Values

### DEFINITION_PREFIX_COLON

    public static final String DEFINITION_PREFIX_COLON

See Also:
  Constant Field Values

### I18N_CATALOGUE

    public static final String I18N_CATALOGUE

  I18n catalogue containing the built-in messages.

  See Also:
    Constant Field Values

### I18N_NS

    public static final String I18N_NS

See Also:
  Constant Field Values

### I18N_PREFIX

    public static final String I18N_PREFIX

See Also:
  Constant Field Values

### I18N_PREFIX_COLON

    public static final String I18N_PREFIX_COLON

See Also:
  Constant Field Values

Constructor Detail

### FormsConstants

    public FormsConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.